Public Attributes | List of all members
ble_gap_ext_scan_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Parameters for extended scanning. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gap_ext_scan_param_t:
[legend]

## Public Attributes
uint8_t | type
| Type of scanning to be started (see enum ble_gap_ext_scan_type_t). More...
uint8_t | prop
| Properties for the scan procedure (see enum ble_gap_scan_prop_t for bit signification). More...
uint8_t | dup_filt_pol
| Duplicate packet filtering policy (see enum ble_gap_ext_scan_dup_filt_policy_t). More...
uint8_t | rsvd
| Reserved for future use. More...
ble_gap_scan_wd_op_param_t | scan_param_1m
| Scan window opening parameters for LE 1M PHY. More...
ble_gap_scan_wd_op_param_t | scan_param_coded
| Scan window opening parameters for LE Coded PHY. More...
uint16_t | duration
| Scan duration (in unit of 10ms). More...
uint16_t | period
| Scan period, which is the time interval between two consequent starts of a scan duration by the controller. More...

## Detailed Description

Parameters for extended scanning.

Definition at line 683 of file ble_gapm.h.

## Member Data Documentation

## ◆ dup_filt_pol

uint8_t ble_gap_ext_scan_param_t::dup_filt_pol

Duplicate packet filtering policy (see enum ble_gap_ext_scan_dup_filt_policy_t).

Definition at line 687 of file ble_gapm.h.

## ◆ duration

uint16_t ble_gap_ext_scan_param_t::duration

Scan duration (in unit of 10ms).

0 means that the controller will scan continuously until receiving a stop command from the application (10 ms to 655.35s).

Definition at line 691 of file ble_gapm.h.

## ◆ period

uint16_t ble_gap_ext_scan_param_t::period

Scan period, which is the time interval between two consequent starts of a scan duration by the controller.

0 means that the scan procedure is not periodic, in unit of 1.28s (1.28s to 83,884.8s).

Definition at line 693 of file ble_gapm.h.

## ◆ prop

uint8_t ble_gap_ext_scan_param_t::prop

Properties for the scan procedure (see enum ble_gap_scan_prop_t for bit signification).

Definition at line 686 of file ble_gapm.h.

## ◆ rsvd

uint8_t ble_gap_ext_scan_param_t::rsvd

Reserved for future use.

Definition at line 688 of file ble_gapm.h.

## ◆ scan_param_1m

ble_gap_scan_wd_op_param_t ble_gap_ext_scan_param_t::scan_param_1m

Scan window opening parameters for LE 1M PHY.

Definition at line 689 of file ble_gapm.h.

## ◆ scan_param_coded

ble_gap_scan_wd_op_param_t ble_gap_ext_scan_param_t::scan_param_coded

Scan window opening parameters for LE Coded PHY.

Definition at line 690 of file ble_gapm.h.

## ◆ type

uint8_t ble_gap_ext_scan_param_t::type

Type of scanning to be started (see enum ble_gap_ext_scan_type_t).

Definition at line 685 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h